<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <customers>
      <xsl:for-each-group select="//Order" group-by="CustomerID">
        <customer id="{current-grouping-key()}">
          <xsl:attribute name="orders">
            <xsl:value-of select="count(current-group())" />
          </xsl:attribute>
        </customer>
      </xsl:for-each-group>
    </customers>
  </xsl:template>
</xsl:stylesheet>
